Index: /ccr/trunk/kids/CCD-CCR_GENERATION_UTILITIES_1P2.KID
===================================================================
--- /ccr/trunk/kids/CCD-CCR_GENERATION_UTILITIES_1P2.KID	(revision 1586)
+++ /ccr/trunk/kids/CCD-CCR_GENERATION_UTILITIES_1P2.KID	(revision 1587)
@@ -90348,5 +90354,5 @@
 S X=DA(1)
 "KEY",178.101,178.101,"A",0)
-178.101^A^P^558
+178.101^A^P^554
 "KEY",178.101,178.101,"A",2,0)
 ^.312IA^2^2
@@ -90357,177 +90363,177 @@
 "KEYPTR",178.101,178.101,"A")
 178.101^C
-"KRN",19,10999,-1)
+"KRN",19,10988,-1)
 0^9
-"KRN",19,10999,0)
+"KRN",19,10988,0)
 C0C STATUS OF CCR BATCH^STATUS OF CCR BATCH^^I^^^^^^^^
-"KRN",19,10999,30)
+"KRN",19,10988,30)
 C0CB(
-"KRN",19,10999,31)
+"KRN",19,10988,31)
 AEMQ
-"KRN",19,10999,63)
+"KRN",19,10988,63)
 [C
-"KRN",19,10999,80)
+"KRN",19,10988,80)
 C0CB(
-"KRN",19,10999,"U")
+"KRN",19,10988,"U")
 STATUS OF CCR BATCH
-"KRN",19,11000,-1)
+"KRN",19,10989,-1)
 0^8
-"KRN",19,11000,0)
+"KRN",19,10989,0)
 C0C START CCR BATCH PROCESSING^BEGIN CCR BATCH PROCESSING^^A^^^^^^^^^^1
-"KRN",19,11000,20)
+"KRN",19,10989,20)
 D START^C0CBAT
-"KRN",19,11000,"U")
+"KRN",19,10989,"U")
 BEGIN CCR BATCH PROCESSING
-"KRN",19,11001,-1)
+"KRN",19,10990,-1)
 0^1
-"KRN",19,11001,0)
+"KRN",19,10990,0)
 C0C BATCH OPTIONS^BATCH CCR OPTIONS^^M^^^^^^^^
-"KRN",19,11001,10,0)
+"KRN",19,10990,10,0)
 ^19.01IP^3^3
-"KRN",19,11001,10,1,0)
-11000
-"KRN",19,11001,10,1,"^")
+"KRN",19,10990,10,1,0)
+10989
+"KRN",19,10990,10,1,"^")
 C0C START CCR BATCH PROCESSING
-"KRN",19,11001,10,2,0)
-10999
-"KRN",19,11001,10,2,"^")
+"KRN",19,10990,10,2,0)
+10988
+"KRN",19,10990,10,2,"^")
 C0C STATUS OF CCR BATCH
-"KRN",19,11001,10,3,0)
-11007
-"KRN",19,11001,10,3,"^")
+"KRN",19,10990,10,3,0)
+10996
+"KRN",19,10990,10,3,"^")
 C0C KILL BATCH JOB
-"KRN",19,11001,99)
-62633,35113
-"KRN",19,11001,"U")
+"KRN",19,10990,99)
+62759,57174
+"KRN",19,10990,"U")
 BATCH CCR OPTIONS
-"KRN",19,11002,-1)
+"KRN",19,10991,-1)
 0^3
-"KRN",19,11002,0)
+"KRN",19,10991,0)
 C0C CCR MENU^CCR MENU^^M^^^^^^^^
-"KRN",19,11002,10,0)
+"KRN",19,10991,10,0)
 ^19.01IP^5^5
-"KRN",19,11002,10,1,0)
-11001
-"KRN",19,11002,10,1,"^")
+"KRN",19,10991,10,1,0)
+10990
+"KRN",19,10991,10,1,"^")
 C0C BATCH OPTIONS
-"KRN",19,11002,10,2,0)
-11003
-"KRN",19,11002,10,2,"^")
+"KRN",19,10991,10,2,0)
+10992
+"KRN",19,10991,10,2,"^")
 C0C CCR EXPORT BY PATIENT NAME
-"KRN",19,11002,10,3,0)
-11005
-"KRN",19,11002,10,3,"^")
+"KRN",19,10991,10,3,0)
+10994
+"KRN",19,10991,10,3,"^")
 C0C DISPLAY ELEMENTS
-"KRN",19,11002,10,4,0)
-11004
-"KRN",19,11002,10,4,"^")
+"KRN",19,10991,10,4,0)
+10993
+"KRN",19,10991,10,4,"^")
 C0C DISPLAY PATIENT VARIABLES
-"KRN",19,11002,10,5,0)
-11006
-"KRN",19,11002,10,5,"^")
+"KRN",19,10991,10,5,0)
+10995
+"KRN",19,10991,10,5,"^")
 C0C LIST RIM CATEGORIES
-"KRN",19,11002,99)
-62633,35113
-"KRN",19,11002,"U")
+"KRN",19,10991,99)
+62759,57174
+"KRN",19,10991,"U")
 CCR MENU
-"KRN",19,11003,-1)
+"KRN",19,10992,-1)
 0^2
-"KRN",19,11003,0)
+"KRN",19,10992,0)
 C0C CCR EXPORT BY PATIENT NAME^CCR EXPORT BY PATIENT NAME^^A^^^^^^^^^^1
-"KRN",19,11003,20)
+"KRN",19,10992,20)
 D EXPORT^C0CCCR
-"KRN",19,11003,"U")
+"KRN",19,10992,"U")
 CCR EXPORT BY PATIENT NAME
-"KRN",19,11004,-1)
+"KRN",19,10993,-1)
 0^5
-"KRN",19,11004,0)
+"KRN",19,10993,0)
 C0C DISPLAY PATIENT VARIABLES^VARIABLES DISPLAY^^A^^^^^^^^^^1^1^^
-"KRN",19,11004,15)
+"KRN",19,10993,15)
 D DPATV^C0CRIMA($P(Y,U,1))
-"KRN",19,11004,20)
+"KRN",19,10993,20)
 S DIC=2,DIC(0)="AEMQ" D ^DIC I Y<1 Q
-"KRN",19,11004,26)
+"KRN",19,10993,26)
 
-"KRN",19,11004,"U")
+"KRN",19,10993,"U")
 VARIABLES DISPLAY
-"KRN",19,11005,-1)
+"KRN",19,10994,-1)
 0^4
-"KRN",19,11005,0)
+"KRN",19,10994,0)
 C0C DISPLAY ELEMENTS^ELEMENT DISPLAY^^I^^^^^^^^^^
-"KRN",19,11005,20)
+"KRN",19,10994,20)
 
-"KRN",19,11005,30)
+"KRN",19,10994,30)
 C0CE(
-"KRN",19,11005,31)
+"KRN",19,10994,31)
 AEMQ
-"KRN",19,11005,63)
+"KRN",19,10994,63)
 [C
-"KRN",19,11005,80)
+"KRN",19,10994,80)
 C0CE(
-"KRN",19,11005,"U")
+"KRN",19,10994,"U")
 ELEMENT DISPLAY
-"KRN",19,11006,-1)
+"KRN",19,10995,-1)
 0^7
-"KRN",19,11006,0)
+"KRN",19,10995,0)
 C0C LIST RIM CATEGORIES^LIST RIM CATEGORIES^^A^^^^^^^^^^1
-"KRN",19,11006,20)
+"KRN",19,10995,20)
 D CLIST^C0CRIMA
-"KRN",19,11006,"U")
+"KRN",19,10995,"U")
 LIST RIM CATEGORIES
-"KRN",19,11007,-1)
+"KRN",19,10996,-1)
 0^6
-"KRN",19,11007,0)
+"KRN",19,10996,0)
 C0C KILL BATCH JOB^KILL CCR BATCH PROCESSING^^A^^^^^^^^^^1
-"KRN",19,11007,20)
+"KRN",19,10996,20)
 D STOP^C0CBAT
-"KRN",19,11007,"U")
+"KRN",19,10996,"U")
 KILL CCR BATCH PROCESSING
-"KRN",19,11008,-1)
+"KRN",19,10997,-1)
 0^10
-"KRN",19,11008,0)
+"KRN",19,10997,0)
 C0C CCR RPC^CCR RPC^^B^^^^^^^^^y
-"KRN",19,11008,"RPC",0)
+"KRN",19,10997,"RPC",0)
 ^19.05P^1^1
-"KRN",19,11008,"RPC",1,0)
+"KRN",19,10997,"RPC",1,0)
 C0C CCR RPC
-"KRN",19,11008,"U")
+"KRN",19,10997,"U")
 CCR RPC
-"KRN",8994,2518,-1)
+"KRN",8994,2411,-1)
 0^1
-"KRN",8994,2518,0)
+"KRN",8994,2411,0)
 C0C CCR RPC^CCRRPC^C0CCCR^2^P
-"KRN",8994,2518,1,0)
+"KRN",8994,2411,1,0)
 ^8994.01^1^1^3090717^^
-"KRN",8994,2518,1,1,0)
+"KRN",8994,2411,1,1,0)
 RPC TO RETURN A PATIENT'S CCR
-"KRN",8994,2518,2,0)
+"KRN",8994,2411,2,0)
 ^8994.02A^3^3
-"KRN",8994,2518,2,1,0)
+"KRN",8994,2411,2,1,0)
 DFN^1^30^1^1
-"KRN",8994,2518,2,1,1,0)
+"KRN",8994,2411,2,1,1,0)
 ^^1^1^3090707^
-"KRN",8994,2518,2,1,1,1,0)
+"KRN",8994,2411,2,1,1,1,0)
 PATIENT RECORD NUMBER
-"KRN",8994,2518,2,2,0)
+"KRN",8994,2411,2,2,0)
 CCRPARMS^1^200^0^2
-"KRN",8994,2518,2,2,1,0)
+"KRN",8994,2411,2,2,1,0)
 ^^1^1^3090707^
-"KRN",8994,2518,2,2,1,1,0)
+"KRN",8994,2411,2,2,1,1,0)
 PARAMETERS TO OVERRIDE DEFAULTS FOR EXTRACTING THE CCR
-"KRN",8994,2518,2,3,0)
+"KRN",8994,2411,2,3,0)
 CCRPART^1^20^^3
-"KRN",8994,2518,2,"B","CCRPARM",2)
+"KRN",8994,2411,2,"B","CCRPARM",2)
 
-"KRN",8994,2518,2,"B","CCRPARMS",2)
+"KRN",8994,2411,2,"B","CCRPARMS",2)
 
-"KRN",8994,2518,2,"B","CCRPART",3)
+"KRN",8994,2411,2,"B","CCRPART",3)
 
-"KRN",8994,2518,2,"B","DFN",1)
+"KRN",8994,2411,2,"B","DFN",1)
 
-"KRN",8994,2518,2,"PARAMSEQ",1,1)
+"KRN",8994,2411,2,"PARAMSEQ",1,1)
 
-"KRN",8994,2518,2,"PARAMSEQ",2,2)
+"KRN",8994,2411,2,"PARAMSEQ",2,2)
 
-"KRN",8994,2518,2,"PARAMSEQ",3,3)
+"KRN",8994,2411,2,"PARAMSEQ",3,3)
 
 "MBREQ")
@@ -90541,387 +90547,393 @@
 "ORD",18,19,0)
 OPTION
-"PKG",213,-1)
+"PKG",210,-1)
 1^1
-"PKG",213,0)
+"PKG",210,0)
 CCD/CCR GENERATION UTILITIES^C0C^Utilities for the Generation of the CCD/C32/CCR
-"PKG",213,20,0)
+"PKG",210,20,0)
 ^9.402P^^
-"PKG",213,22,0)
+"PKG",210,22,0)
 ^9.49I^1^1
-"PKG",213,22,1,0)
-1.2^3120625^3120625^8
-"PKG",213,22,1,1,0)
-^^185^185^3120625
-"PKG",213,22,1,1,1,0)
+"PKG",210,22,1,0)
+1.2^3121030^3121029^8
+"PKG",210,22,1,1,0)
+^^188^188^3121030
+"PKG",210,22,1,1,1,0)
+Licensed under AGPL v3. For complete license text, see
+"PKG",210,22,1,1,2,0)
+http://www.gnu.org/licenses/agpl-3.0.html
+"PKG",210,22,1,1,3,0)
+ 
+"PKG",210,22,1,1,4,0)
 CCR Project release v1.2
-"PKG",213,22,1,1,2,0)
+"PKG",210,22,1,1,5,0)
  
-"PKG",213,22,1,1,3,0)
+"PKG",210,22,1,1,6,0)
 The purpose of the CCR package is to provide support for exporting and 
-"PKG",213,22,1,1,4,0)
+"PKG",210,22,1,1,7,0)
 eventually importing patient information from/to VistA in XML documents 
-"PKG",213,22,1,1,5,0)
+"PKG",210,22,1,1,8,0)
 conforming to the Continuity of Care Record (CCR - ASTM) and Continuity 
-"PKG",213,22,1,1,6,0)
+"PKG",210,22,1,1,9,0)
 of Care Document (CCD - HL7) standards.
-"PKG",213,22,1,1,7,0)
+"PKG",210,22,1,1,10,0)
  
-"PKG",213,22,1,1,8,0)
+"PKG",210,22,1,1,11,0)
 This version of the CCR package provides:
-"PKG",213,22,1,1,9,0)
+"PKG",210,22,1,1,12,0)
  
-"PKG",213,22,1,1,10,0)
+"PKG",210,22,1,1,13,0)
 EXPORT^C0CCCR
-"PKG",213,22,1,1,11,0)
+"PKG",210,22,1,1,14,0)
 A command line interface to export a single patient's CCR to a host 
-"PKG",213,22,1,1,12,0)
+"PKG",210,22,1,1,15,0)
 directory by specifying the patient by name.
-"PKG",213,22,1,1,13,0)
+"PKG",210,22,1,1,16,0)
  
-"PKG",213,22,1,1,14,0)
+"PKG",210,22,1,1,17,0)
 EXPORT^C0CCCD
-"PKG",213,22,1,1,15,0)
+"PKG",210,22,1,1,18,0)
 A command line interface to export a single patient's CCD to a host 
-"PKG",213,22,1,1,16,0)
+"PKG",210,22,1,1,19,0)
 directory by specifying the patient by name. As an alternative to 
-"PKG",213,22,1,1,17,0)
+"PKG",210,22,1,1,20,0)
 generating the CCD directly, an XSLT transformation is available to 
-"PKG",213,22,1,1,18,0)
+"PKG",210,22,1,1,21,0)
 translate a CCR into a level 2 CCD. This tranformation has been tested 
-"PKG",213,22,1,1,19,0)
+"PKG",210,22,1,1,22,0)
 and produces a CCD with all currently supported sections of the CCR. The 
-"PKG",213,22,1,1,20,0)
+"PKG",210,22,1,1,23,0)
 EXPORT^C0CCCD only extracts the PROBLEMS section into a CCD.
-"PKG",213,22,1,1,21,0)
+"PKG",210,22,1,1,24,0)
  
-"PKG",213,22,1,1,22,0)
+"PKG",210,22,1,1,25,0)
 XPAT^C0CCCR(DFN,OUTDIR,OUTFILE)
-"PKG",213,22,1,1,23,0)
+"PKG",210,22,1,1,26,0)
 A command line and program interface to export a single patient's CCR 
-"PKG",213,22,1,1,24,0)
+"PKG",210,22,1,1,27,0)
 using the IEN of the patient in the ^DPT file (DFN).
-"PKG",213,22,1,1,25,0)
+"PKG",210,22,1,1,28,0)
 OUTDIR specifies an existing directory on the Host system into which the 
-"PKG",213,22,1,1,26,0)
+"PKG",210,22,1,1,29,0)
 CCR XML document will be written. If OUTDIR is null (""), the output 
-"PKG",213,22,1,1,27,0)
+"PKG",210,22,1,1,30,0)
 directory name will be taken from ^TMP("C0CCCR","ODIR").
-"PKG",213,22,1,1,28,0)
+"PKG",210,22,1,1,31,0)
 OUFILE specifies the host file name of the CCR XML document that will be 
-"PKG",213,22,1,1,29,0)
+"PKG",210,22,1,1,32,0)
 written for this patient. If OUTFILE is null ("") the document name will 
-"PKG",213,22,1,1,30,0)
+"PKG",210,22,1,1,33,0)
 default to PAT_x_CCR_V1.xml where x is the DFN of the patient.
-"PKG",213,22,1,1,31,0)
+"PKG",210,22,1,1,34,0)
  
-"PKG",213,22,1,1,32,0)
+"PKG",210,22,1,1,35,0)
 CCRRPC(CCRGRTN,DFN,CCRPARMS,CCRPART)
-"PKG",213,22,1,1,33,0)
+"PKG",210,22,1,1,36,0)
 An RPC and program interface to return in return array CCRGRTN (passed by 
-"PKG",213,22,1,1,34,0)
+"PKG",210,22,1,1,37,0)
 reference) a single patient's CCR.
-"PKG",213,22,1,1,35,0)
+"PKG",210,22,1,1,38,0)
 DFN is the patient's IEN
-"PKG",213,22,1,1,36,0)
+"PKG",210,22,1,1,39,0)
 CCRPART is what portion of the CCR should be returned. If "CCR" is 
-"PKG",213,22,1,1,37,0)
+"PKG",210,22,1,1,40,0)
 specified, the entire CCR will be returned. If "PROBLEMS", "VITALS", or 
-"PKG",213,22,1,1,38,0)
+"PKG",210,22,1,1,41,0)
 "MEDICATIONS" is specified, only that section of the CCR will be returned.
-"PKG",213,22,1,1,39,0)
+"PKG",210,22,1,1,42,0)
 CCRPARMS ARE PARAMETERS THAT AFFECT THE EXTRACTION
-"PKG",213,22,1,1,40,0)
+"PKG",210,22,1,1,43,0)
 IN THE FORM "PARM1:VALUE1^PARM2:VALUE2"
-"PKG",213,22,1,1,41,0)
+"PKG",210,22,1,1,44,0)
 EXAMPLE: "LABLIMIT:T-60" TO LIMIT LAB EXTRACTION TO THE LAST 60 DAYS
-"PKG",213,22,1,1,42,0)
+"PKG",210,22,1,1,45,0)
 SEE C0CPARMS FOR A COMPLETE LIST OF SUPPORTED PARAMETERS
-"PKG",213,22,1,1,43,0)
+"PKG",210,22,1,1,46,0)
  
-"PKG",213,22,1,1,44,0)
+"PKG",210,22,1,1,47,0)
 ANALYZE^C0CRIMA(BGNDFN,DFNCNT,CCRPARMS)
-"PKG",213,22,1,1,45,0)
+"PKG",210,22,1,1,48,0)
 A command line and program interface to analyze the data from multiple 
-"PKG",213,22,1,1,46,0)
+"PKG",210,22,1,1,49,0)
 patients into categories that can be batch extracted.
-"PKG",213,22,1,1,47,0)
+"PKG",210,22,1,1,50,0)
 BGNDFN is the beginning DFN to be analyzed. If BGNDFN is null ("") its 
-"PKG",213,22,1,1,48,0)
+"PKG",210,22,1,1,51,0)
 value will be taken from ^TMP("C0CRIM","RESUME"). If this variable does 
-"PKG",213,22,1,1,49,0)
+"PKG",210,22,1,1,52,0)
 not exist, the routine will start with the first IEN in the patient file 
-"PKG",213,22,1,1,50,0)
+"PKG",210,22,1,1,53,0)
 ^DPT. ^TMP("C0CRIM","RESUME") is updated to the "next" patient to be 
-"PKG",213,22,1,1,51,0)
+"PKG",210,22,1,1,54,0)
 analyzed on successful completion.
-"PKG",213,22,1,1,52,0)
+"PKG",210,22,1,1,55,0)
 DFNCNT is the count of how many patient records will be analyzed in this 
-"PKG",213,22,1,1,53,0)
+"PKG",210,22,1,1,56,0)
 execution.
-"PKG",213,22,1,1,54,0)
+"PKG",210,22,1,1,57,0)
 For example ANALYZE^C0CRIMA(1000,1000) would start at patient DFN 1000 
-"PKG",213,22,1,1,55,0)
+"PKG",210,22,1,1,58,0)
 and analyzes 1000 patient records. ANALYZE^C0CRIMA("",1000) would then 
-"PKG",213,22,1,1,56,0)
+"PKG",210,22,1,1,59,0)
 analyze the next 1000 patients. When the end of the patient file is 
-"PKG",213,22,1,1,57,0)
+"PKG",210,22,1,1,60,0)
 reached, the routine terminates with a message that RESET^C0CRIMA would 
-"PKG",213,22,1,1,58,0)
+"PKG",210,22,1,1,61,0)
 need to be called to restart the analysis.
-"PKG",213,22,1,1,59,0)
+"PKG",210,22,1,1,62,0)
  
-"PKG",213,22,1,1,60,0)
+"PKG",210,22,1,1,63,0)
 The categories into which the records are analyzed consist of attribute 
-"PKG",213,22,1,1,61,0)
+"PKG",210,22,1,1,64,0)
 strings. The attributes represent characteristics of the variables that 
-"PKG",213,22,1,1,62,0)
+"PKG",210,22,1,1,65,0)
 can be extracted for a given patient into the CCR or the CCD. This 
-"PKG",213,22,1,1,63,0)
+"PKG",210,22,1,1,66,0)
 version supports the following attributes:
-"PKG",213,22,1,1,64,0)
+"PKG",210,22,1,1,67,0)
 VITALS : the patient has variables for the VITALS section of the CCR/CCD
-"PKG",213,22,1,1,65,0)
+"PKG",210,22,1,1,68,0)
 PROBLEMS : the patient has variables for the PROBLEMS section of the 
-"PKG",213,22,1,1,66,0)
+"PKG",210,22,1,1,69,0)
 CCR/CCD
-"PKG",213,22,1,1,67,0)
+"PKG",210,22,1,1,70,0)
 MEDS : the patient has variables for the MEDICATIONS section of the 
-"PKG",213,22,1,1,68,0)
+"PKG",210,22,1,1,71,0)
 CCR/CCD
-"PKG",213,22,1,1,69,0)
+"PKG",210,22,1,1,72,0)
 HEADER : the patient has variables for the HEADER section of the CCR/CCD. 
-"PKG",213,22,1,1,70,0)
+"PKG",210,22,1,1,73,0)
 All patients are marked with the HEADER attribute in this version.
-"PKG",213,22,1,1,71,0)
+"PKG",210,22,1,1,74,0)
 NOTEXTRACTED : the CCR or CCD has not yet been produced/extracted for 
-"PKG",213,22,1,1,72,0)
+"PKG",210,22,1,1,75,0)
 this patient. All patient records are marked with the NOTEXTRACTED 
-"PKG",213,22,1,1,73,0)
+"PKG",210,22,1,1,76,0)
 attribute in this version for batch control processing (not implemented 
-"PKG",213,22,1,1,74,0)
+"PKG",210,22,1,1,77,0)
 in this version).
-"PKG",213,22,1,1,75,0)
+"PKG",210,22,1,1,78,0)
  
-"PKG",213,22,1,1,76,0)
+"PKG",210,22,1,1,79,0)
 ANAZYZE^C0CRIMA calls the variable extraction routines that would be used 
-"PKG",213,22,1,1,77,0)
+"PKG",210,22,1,1,80,0)
 to produce a CCR or a CCD and saves the results to ^TMP("C0CRIM",DFN) for 
-"PKG",213,22,1,1,78,0)
+"PKG",210,22,1,1,81,0)
 each patient. In addition, the attribute string for each patient is saved 
-"PKG",213,22,1,1,79,0)
+"PKG",210,22,1,1,82,0)
 in ^TMP("C0CRIM","ATTR")
-"PKG",213,22,1,1,80,0)
+"PKG",210,22,1,1,83,0)
  
-"PKG",213,22,1,1,81,0)
+"PKG",210,22,1,1,84,0)
 Categories are created as they first occur based on each unique 
-"PKG",213,22,1,1,82,0)
+"PKG",210,22,1,1,85,0)
 combination of attributes that is encountered. They are named after the 
-"PKG",213,22,1,1,83,0)
+"PKG",210,22,1,1,86,0)
 attribute table that is used for the analysis. This version supports only 
-"PKG",213,22,1,1,84,0)
+"PKG",210,22,1,1,87,0)
 the attribute table .RIMTBL. and the categories are named "RIMTBL_x". An 
-"PKG",213,22,1,1,85,0)
+"PKG",210,22,1,1,88,0)
 example set of categories from a demo systems is:
-"PKG",213,22,1,1,86,0)
+"PKG",210,22,1,1,89,0)
  
-"PKG",213,22,1,1,87,0)
+"PKG",210,22,1,1,90,0)
 GTM>D CLIST^C0CRIMA
-"PKG",213,22,1,1,88,0)
+"PKG",210,22,1,1,91,0)
 (RIMTBL_1:105) ^NOTEXTRACTED^HEADER^^^PROBLEMS^^^^^VITALS^^^^^MEDS
-"PKG",213,22,1,1,89,0)
+"PKG",210,22,1,1,92,0)
 (RIMTBL_2:596) ^NOTEXTRACTED^HEADER^^^^^^^^VITALS
-"PKG",213,22,1,1,90,0)
+"PKG",210,22,1,1,93,0)
 (RIMTBL_3:44) ^NOTEXTRACTED^HEADER^^^PROBLEMS^^^^^VITALS
-"PKG",213,22,1,1,91,0)
+"PKG",210,22,1,1,94,0)
 (RIMTBL_4:821) ^NOTEXTRACTED^HEADER
-"PKG",213,22,1,1,92,0)
+"PKG",210,22,1,1,95,0)
 (RIMTBL_5:18) ^NOTEXTRACTED^HEADER^^^^^^^^VITALS^^^^^MEDS
-"PKG",213,22,1,1,93,0)
+"PKG",210,22,1,1,96,0)
 (RIMTBL_6:14) ^NOTEXTRACTED^HEADER^^^PROBLEMS
-"PKG",213,22,1,1,94,0)
+"PKG",210,22,1,1,97,0)
 (RIMTBL_7:15) ^NOTEXTRACTED^HEADER^^^^^^^^^^^^^MEDS
-"PKG",213,22,1,1,95,0)
+"PKG",210,22,1,1,98,0)
 (RIMTBL_8:5) ^NOTEXTRACTED^HEADER^^^PROBLEMS^^^^^^^^^^MEDS
-"PKG",213,22,1,1,96,0)
+"PKG",210,22,1,1,99,0)
  
-"PKG",213,22,1,1,97,0)
+"PKG",210,22,1,1,100,0)
 for RIMTBL_1 in this example, 105 is the record count of patients who 
-"PKG",213,22,1,1,98,0)
+"PKG",210,22,1,1,101,0)
 have this combination of attributes. The list of patients for each 
-"PKG",213,22,1,1,99,0)
+"PKG",210,22,1,1,102,0)
 category is also maintained for batch extraction.
-"PKG",213,22,1,1,100,0)
+"PKG",210,22,1,1,103,0)
  
-"PKG",213,22,1,1,101,0)
+"PKG",210,22,1,1,104,0)
 CLIST^C0CRIMA
-"PKG",213,22,1,1,102,0)
+"PKG",210,22,1,1,105,0)
 A command line interface to show a summary of the categories, record 
-"PKG",213,22,1,1,103,0)
+"PKG",210,22,1,1,106,0)
 counts, and attributes that have been analyzed so far. It produces the 
-"PKG",213,22,1,1,104,0)
+"PKG",210,22,1,1,107,0)
 listing in the example above from information stored in 
-"PKG",213,22,1,1,105,0)
+"PKG",210,22,1,1,108,0)
 ^TMP("C0CRIM","CATS","RIMTBL"). It is intended for future versions that 
-"PKG",213,22,1,1,106,0)
+"PKG",210,22,1,1,109,0)
 attribute tables be supported in addition to the default "RIMTBL".
-"PKG",213,22,1,1,107,0)
+"PKG",210,22,1,1,110,0)
  
-"PKG",213,22,1,1,108,0)
+"PKG",210,22,1,1,111,0)
 CPAT^C0CRIMA(CPATCAT)
-"PKG",213,22,1,1,109,0)
+"PKG",210,22,1,1,112,0)
 A command line interface which shows the DFN numbers of the patients 
-"PKG",213,22,1,1,110,0)
+"PKG",210,22,1,1,113,0)
 represented by the category CPATCAT. DFNs are listed 10 per line. For 
-"PKG",213,22,1,1,111,0)
+"PKG",210,22,1,1,114,0)
 example:
-"PKG",213,22,1,1,112,0)
+"PKG",210,22,1,1,115,0)
  
-"PKG",213,22,1,1,113,0)
+"PKG",210,22,1,1,116,0)
 GTM>D CPAT^C0CRIMA("RIMTBL_1")
-"PKG",213,22,1,1,114,0)
+"PKG",210,22,1,1,117,0)
 1 3 8 25 42 69 123 140 146 149
-"PKG",213,22,1,1,115,0)
+"PKG",210,22,1,1,118,0)
 151 168 204 205 217 218 224 228 229 231
-"PKG",213,22,1,1,116,0)
+"PKG",210,22,1,1,119,0)
 236 237 240 253 260 267 271 301 347 350
-"PKG",213,22,1,1,117,0)
+"PKG",210,22,1,1,120,0)
 366 379 384 391 407 418 419 420 428 433
-"PKG",213,22,1,1,118,0)
+"PKG",210,22,1,1,121,0)
 442 520 569 600 620 692 706 715 722 723
-"PKG",213,22,1,1,119,0)
+"PKG",210,22,1,1,122,0)
 724 728 730 744 745 746 747 748 749 750
-"PKG",213,22,1,1,120,0)
+"PKG",210,22,1,1,123,0)
 751 752 753 754 755 756 757 758 759 760
-"PKG",213,22,1,1,121,0)
+"PKG",210,22,1,1,124,0)
 761 762 763 764 765 766 767 768 769 770
-"PKG",213,22,1,1,122,0)
+"PKG",210,22,1,1,125,0)
 771 772 773 774 775 776 777 778 779 780
-"PKG",213,22,1,1,123,0)
+"PKG",210,22,1,1,126,0)
 100000 100001 100002 100003 100004 100005 100006 100007 100008 100009
-"PKG",213,22,1,1,124,0)
+"PKG",210,22,1,1,127,0)
 100010 100011 100012 100013 100014
-"PKG",213,22,1,1,125,0)
+"PKG",210,22,1,1,128,0)
  
-"PKG",213,22,1,1,126,0)
+"PKG",210,22,1,1,129,0)
 These are the 105 patient records included in category "RIMTBL_1" from 
-"PKG",213,22,1,1,127,0)
+"PKG",210,22,1,1,130,0)
 the above example.
-"PKG",213,22,1,1,128,0)
+"PKG",210,22,1,1,131,0)
  
-"PKG",213,22,1,1,129,0)
+"PKG",210,22,1,1,132,0)
 DPATV^C0CRIMA(DFN,"SECTION")
-"PKG",213,22,1,1,130,0)
+"PKG",210,22,1,1,133,0)
 A command line interface to display the values of variables for a 
-"PKG",213,22,1,1,131,0)
+"PKG",210,22,1,1,134,0)
 patient. "SECTION" can be any of the CCR sections. ie 
-"PKG",213,22,1,1,132,0)
+"PKG",210,22,1,1,135,0)
 "ALERTS","RESULTS","MEDS". If SECTION is ommitted, all sections will be 
-"PKG",213,22,1,1,133,0)
+"PKG",210,22,1,1,136,0)
 shown. An example:
-"PKG",213,22,1,1,134,0)
+"PKG",210,22,1,1,137,0)
  
-"PKG",213,22,1,1,135,0)
+"PKG",210,22,1,1,138,0)
 GTM>D DPATV^C0CRIMA(2,"PROBLEMS")
-"PKG",213,22,1,1,136,0)
+"PKG",210,22,1,1,139,0)
 1 1^PROBLEMCODEVALUE^V18.0
-"PKG",213,22,1,1,137,0)
+"PKG",210,22,1,1,140,0)
 2 1^PROBLEMCODINGVERSION^
-"PKG",213,22,1,1,138,0)
+"PKG",210,22,1,1,141,0)
 3 1^PROBLEMCONDITION^P
-"PKG",213,22,1,1,139,0)
+"PKG",210,22,1,1,142,0)
 4 1^PROBLEMDATEMOD^2005-07-19T00:00:00-05:00
-"PKG",213,22,1,1,140,0)
+"PKG",210,22,1,1,143,0)
 5 1^PROBLEMDATEOFONSET^1700--T00:00:00-05:00
-"PKG",213,22,1,1,141,0)
+"PKG",210,22,1,1,144,0)
 6 1^PROBLEMDESCRIPTION^Family History of Diabetes Mellitus (ICD-9-CM 
-"PKG",213,22,1,1,142,0)
+"PKG",210,22,1,1,145,0)
 V18.0)
-"PKG",213,22,1,1,143,0)
+"PKG",210,22,1,1,146,0)
 7 1^PROBLEMDTREC^1701--T00:00:00-05:00
-"PKG",213,22,1,1,144,0)
+"PKG",210,22,1,1,147,0)
 8 1^PROBLEMHASCMT^
-"PKG",213,22,1,1,145,0)
+"PKG",210,22,1,1,148,0)
 9 1^PROBLEMIEN^8
-"PKG",213,22,1,1,146,0)
+"PKG",210,22,1,1,149,0)
 10 1^PROBLEMINACT^1700--T00:00:00-05:00
-"PKG",213,22,1,1,147,0)
+"PKG",210,22,1,1,150,0)
  
-"PKG",213,22,1,1,148,0)
+"PKG",210,22,1,1,151,0)
 DCCR^C0CCCR(DFN)
-"PKG",213,22,1,1,149,0)
+"PKG",210,22,1,1,152,0)
 This will display the XML of a CCR that has been generated for a patient. 
-"PKG",213,22,1,1,150,0)
+"PKG",210,22,1,1,153,0)
 It is run after generating the CCR with XPAT^C0CCCR or XCPAT^C0CRIMA.
-"PKG",213,22,1,1,151,0)
+"PKG",210,22,1,1,154,0)
  
-"PKG",213,22,1,1,152,0)
+"PKG",210,22,1,1,155,0)
 XCPAT^C0CRIMA(CPATCAT)
-"PKG",213,22,1,1,153,0)
+"PKG",210,22,1,1,156,0)
 A command line interface to extract a batch of patient CCR documents that 
-"PKG",213,22,1,1,154,0)
+"PKG",210,22,1,1,157,0)
 are associated with the category CPATCAT. For example,
-"PKG",213,22,1,1,155,0)
+"PKG",210,22,1,1,158,0)
  
-"PKG",213,22,1,1,156,0)
+"PKG",210,22,1,1,159,0)
 XCPAT^C0CRIMA("RIMTBL_1") to extract the CCR documents for the 105 
-"PKG",213,22,1,1,157,0)
+"PKG",210,22,1,1,160,0)
 patients in the above example.
-"PKG",213,22,1,1,158,0)
+"PKG",210,22,1,1,161,0)
  
-"PKG",213,22,1,1,159,0)
+"PKG",210,22,1,1,162,0)
 RESET^C0CRIMA
-"PKG",213,22,1,1,160,0)
+"PKG",210,22,1,1,163,0)
 A command line interface to kill all ANALYZE^C0CRIMA results stored so 
-"PKG",213,22,1,1,161,0)
+"PKG",210,22,1,1,164,0)
 far so that the analysis can be done again. It kills 
-"PKG",213,22,1,1,162,0)
+"PKG",210,22,1,1,165,0)
 ^TMP("C0CRIM","RESUME") and all extraction variables that have been saved 
-"PKG",213,22,1,1,163,0)
+"PKG",210,22,1,1,166,0)
 in ^TMP("C0CRIM")
-"PKG",213,22,1,1,164,0)
+"PKG",210,22,1,1,167,0)
  
-"PKG",213,22,1,1,165,0)
+"PKG",210,22,1,1,168,0)
 NOTES:
-"PKG",213,22,1,1,166,0)
+"PKG",210,22,1,1,169,0)
 This version of the package is a prototype, and does not yet make use of 
-"PKG",213,22,1,1,167,0)
+"PKG",210,22,1,1,170,0)
 the standard VistA features that are appropriate for it to use.
-"PKG",213,22,1,1,168,0)
+"PKG",210,22,1,1,171,0)
  
-"PKG",213,22,1,1,169,0)
+"PKG",210,22,1,1,172,0)
 ^TMP("C0CCCR","ODIR") must be set manually to the output directory on the 
-"PKG",213,22,1,1,170,0)
+"PKG",210,22,1,1,173,0)
 Host System. It is intended that this be maintainable in a parameter file.
-"PKG",213,22,1,1,171,0)
+"PKG",210,22,1,1,174,0)
  
-"PKG",213,22,1,1,172,0)
+"PKG",210,22,1,1,175,0)
 CCRRPC^C0CCCR and CCDRPC^C0CCCD are intended to be RPC interfaces to the 
-"PKG",213,22,1,1,173,0)
+"PKG",210,22,1,1,176,0)
 package but there is no entry for them in the RPC table and the RPC 
-"PKG",213,22,1,1,174,0)
+"PKG",210,22,1,1,177,0)
 method of access has not been tested.
-"PKG",213,22,1,1,175,0)
+"PKG",210,22,1,1,178,0)
  
-"PKG",213,22,1,1,176,0)
+"PKG",210,22,1,1,179,0)
 Most of the command line interface functions in the package are intended 
-"PKG",213,22,1,1,177,0)
+"PKG",210,22,1,1,180,0)
 to also be made available as RPC calls. This will provide the ability to 
-"PKG",213,22,1,1,178,0)
+"PKG",210,22,1,1,181,0)
 invoke and control batch extraction and analysis via RPCs
-"PKG",213,22,1,1,179,0)
+"PKG",210,22,1,1,182,0)
  
-"PKG",213,22,1,1,180,0)
+"PKG",210,22,1,1,183,0)
 The "RIM" variables and attributes that are now being stored in 
-"PKG",213,22,1,1,181,0)
+"PKG",210,22,1,1,184,0)
 ^TMP("C0CRIM") are intended to be maintained in a standard FILEMAN 
-"PKG",213,22,1,1,182,0)
+"PKG",210,22,1,1,185,0)
 global, and to take advantage of FILEMAN indexing for efficient batch 
-"PKG",213,22,1,1,183,0)
+"PKG",210,22,1,1,186,0)
 analysis and processing.
-"PKG",213,22,1,1,184,0)
+"PKG",210,22,1,1,187,0)
  
-"PKG",213,22,1,1,185,0)
+"PKG",210,22,1,1,188,0)
 It is intended that menu interfaces be provided in addition to command 
-"PKG",213,"VERSION")
+"PKG",210,"VERSION")
 1.2
 "PRE")
